> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development.md).

# Guides V2 (Under Development)

- [Getting Started](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development/getting-started.md): The following set of guides will help you make a simple project with Convai.
- [Installation](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development/getting-started/download-and-setup.md): Easily install the Convai Plugin in Unreal Engine with our step-by-step guide. Set up your API key to add Convai to your Unreal Engine project.
- [Simple Talking Cube](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development/getting-started/simple-talking-cube.md): A minimal from scratch example to get you familiar with the plugin main components.
- [Adding Premade Chat and Settings UI](https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development/getting-started/adding-premade-chat-and-settings-ui.md): Use a premade player blueprint that already contains a Chat and Settings widget.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine/guides-v2-under-development.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
